ABORT(3)

NAME
abort - cause abnormal program termination

SYNOPSIS
#include <stdlib.h>

void abort(void);

DESCRIPTION
The abort() function causes abnormal program termination unless the signal SIGABORT is caught and the signal handler does not return. If the abort() function causes program termination, all open streams are closed and flushed.

If the SIGABORT function is blocked or ignored, the abort() function will still override it.

RETURN VALUE
The abort() function never returns.

CONFORMING TO
SVID 3, POSIX, BSD 4.3, ISO 9899

SEE ALSO
sigaction(2), exit(3)